## tk8.4 8.4.12

=== macosx/Makefile ===
########################################################################################################
#
# Makefile wrapper to build tk on Mac OS X in a way compatible with the tk/macosx Xcode buildsystem
#	uses the standard unix build system in tk/unix (which can be used directly instead of this
#	if you are not using the tk/macosx projects).
#
# RCS: @(#) $Id: Makefile,v 1.7.2.12 2005/11/27 02:36:46 das Exp $
#
########################################################################################################

#-------------------------------------------------------------------------------------------------------
# customizable settings

DESTDIR			?=
INSTALL_ROOT		?= ${DESTDIR}

BUILD_DIR		?= ${CURDIR}/../../build
SYMROOT			?= ${BUILD_DIR}/${PROJECT}
OBJROOT			?= ${SYMROOT}

EXTRA_CONFIGURE_ARGS 	?= 
EXTRA_MAKE_ARGS		?= 

INSTALL_PATH		?= /Library/Frameworks
APPLICATION_INSTALL_PATH ?= /Applications/Utilities
PREFIX			?= /usr/local
BINDIR			?= ${PREFIX}/bin
LIBDIR			?= ${INSTALL_PATH}
MANDIR			?= ${PREFIX}/man

# tcl build directory (containing tclConfig.sh and Makefile)
TCL_BUILD_DIR		?= ${BUILD_DIR}/tcl/${BUILD_STYLE}
# location of installed tcl, only used if tcl in TCL_BUILD_DIR can't be found
TCL_FRAMEWORK_DIR	?= /Library/Frameworks
TCLSH_DIR		?= ${PREFIX}

# set to non-empty value to install manpages in addition to html help:
INSTALL_MANPAGES 	?= 

# set to non-empty value to build TkX11 instead of TkAqua:
TK_X11			?=

#-------------------------------------------------------------------------------------------------------
# meta targets

meta 			:= all install embedded install-embedded clean distclean test

styles			:= develop deploy

all			:= ${styles}
all			: ${all}

install			:= ${styles:%=install-%}
install			: ${install}
install-%:		action := install-

embedded		:= ${styles:%=embedded-%}
embedded		: embedded-deploy
install-embedded	:= ${embedded:%=install-%}
install-embedded	: install-embedded-deploy

clean			:= ${styles:%=clean-%}
clean			: ${clean}
clean-%:		action := clean-
distclean		:= ${styles:%=distclean-%}
distclean		: ${distclean}
distclean-%:		action := distclean-

test			:= ${styles:%=test-%}
test			: ${test}
test-%:			action := test-

targets			:= $(foreach v,${meta},${$v})

#-------------------------------------------------------------------------------------------------------
# build styles

BUILD_STYLE		=
CONFIGURE_ARGS		=
OBJ_DIR			= ${OBJROOT}/${BUILD_STYLE}

develop_make_args	:= BUILD_STYLE=Development CONFIGURE_ARGS=--enable-symbols
deploy_make_args	:= BUILD_STYLE=Deployment INSTALL_TARGET=install-strip
embedded_make_args	:= EMBEDDED_BUILD=1
install_make_args	:= INSTALL_BUILD=1

${targets}: 
	${MAKE} ${action}${PROJECT} \
	$(foreach s,${styles} embedded install,$(if $(findstring $s,$@),${${s}_make_args}))

#-------------------------------------------------------------------------------------------------------
# project specific settings

PROJECT			:= tk
PRODUCT_NAME		:= Tk

UNIX_DIR		:= ${CURDIR}/../unix
VERSION			:= $(shell awk -F= '/^TK_VERSION/ {print $$2; nextfile}' ${UNIX_DIR}/configure.in)
TCL_VERSION		:= ${VERSION}
wish			:= wish
WISH			= wish${VERSION}

BUILD_TARGET		:= all tktest
INSTALL_TARGET		:= install

ifneq ($(wildcard ${TCL_BUILD_DIR}/tclConfig.sh),)
TCL_DIR			:= ${TCL_BUILD_DIR}
TCL_FRAMEWORK_DIR	:= ${TCL_BUILD_DIR}/..
else
TCL_DIR			:= ${TCL_FRAMEWORK_DIR}/Tcl.framework
TCL_EXE                 := ${TCLSH_DIR}/tclsh${TCL_VERSION}
MAKE_VARS		= TCL_EXE
export DYLD_FRAMEWORK_PATH := ${TCL_FRAMEWORK_DIR}
endif
export CPPROG		:= cp -p

ifeq (${TK_X11},)
override CONFIGURE_ARGS := ${CONFIGURE_ARGS} --enable-aqua
else
VERSION			:= ${VERSION}-X11
wish			:= ${wish}-X11
endif

INSTALL_TARGETS		= install-binaries install-libraries
ifeq (${EMBEDDED_BUILD},)
INSTALL_TARGETS		+= install-private-headers install-demos
endif
ifeq (${INSTALL_BUILD}_${EMBEDDED_BUILD}_${BUILD_STYLE},1__Deployment)
INSTALL_TARGETS		+= html-tk
ifneq (${INSTALL_MANPAGES},)
INSTALL_TARGETS		+= install-doc
endif
endif

MAKE_VARS		+= INSTALL_ROOT INSTALL_TARGETS VERSION
MAKE_ARGS_V		= $(foreach v,${MAKE_VARS},$v='${$v}')

build-${PROJECT}:	target = ${BUILD_TARGET}
install-${PROJECT}:	target = ${INSTALL_TARGET}
clean-${PROJECT} distclean-${PROJECT} test-${PROJECT}: \
			target = $*

DO_MAKE			= +${MAKE} -C ${OBJ_DIR} ${target} ${MAKE_ARGS_V} ${MAKE_ARGS} ${EXTRA_MAKE_ARGS}

#-------------------------------------------------------------------------------------------------------
# locations for custom tk install actions

ifeq (${INSTALL_BUILD},1)
TOP_DIR			:= ${INSTALL_ROOT}/
APP_DIR			:= ${APPLICATION_INSTALL_PATH}
FMWK_DIR		:= ${LIBDIR}
else
TOP_DIR			:= ${SYMROOT}
APP_DIR			:= .
FMWK_DIR		:= .
endif

TCL_FMWK_DIR		:= ${FMWK_DIR}/Tcl.framework/Versions/${TCL_VERSION}
TK_FMWK_DIR		:= ${FMWK_DIR}/${PRODUCT_NAME}.framework/Versions/${VERSION}

#-------------------------------------------------------------------------------------------------------
# build rules

${PROJECT}:
	${MAKE} install-${PROJECT} INSTALL_ROOT=${OBJ_DIR}/

${OBJ_DIR}/Makefile: ${UNIX_DIR}/Makefile.in ${UNIX_DIR}/configure \
                     ${UNIX_DIR}/tkConfig.sh.in Tk-Info.plist.in Wish-Info.plist.in
	mkdir -p ${OBJ_DIR} && cd ${OBJ_DIR} && \
	if [ ${UNIX_DIR}/configure -nt config.status ]; then ${UNIX_DIR}/configure \
	--prefix=${PREFIX} --bindir=${BINDIR} --libdir=${LIBDIR} \
	--mandir=${MANDIR} --enable-threads --enable-framework \
	--with-tcl=${TCL_DIR} \
	${CONFIGURE_ARGS} ${EXTRA_CONFIGURE_ARGS}; else ./config.status; fi
ifneq (${TK_X11},)
	@cd ${OBJ_DIR} && sed -e 's#/Versions/${TCL_VERSION}#/Versions/${VERSION}#' \
	tkConfig.sh > tkConfig.sh.1 && mv -f tkConfig.sh.1 tkConfig.sh
endif

build-${PROJECT}: ${OBJ_DIR}/Makefile
	${DO_MAKE}
# symolic link hackery to trick
# 'make install INSTALL_ROOT=${OBJ_DIR}'
# into building Tk.framework and wish in ${SYMROOT}
	@cd ${OBJ_DIR} && mkdir -p $(dir ./${LIBDIR}) $(dir ./${BINDIR}) ${SYMROOT} && \
	rm -rf ./${LIBDIR} ./${BINDIR} && ln -fs ${SYMROOT} ./${LIBDIR} && \
	ln -fs ${SYMROOT} ./${BINDIR} && ln -fs ${OBJ_DIR}/tktest ${SYMROOT}
ifeq (${TK_X11},)
	@rm -f ${OBJ_DIR}/${BINDIR}
endif
# Create symbolic link to Tcl.framework in ${SYMROOT}if necessary
	@cd ${SYMROOT} && if [ ! -e Tcl.framework -o -L Tcl.framework ]; then \
	rm -f Tcl.framework && ln -s ${TCL_FRAMEWORK_DIR}/Tcl.framework . ; fi

install-${PROJECT}: build-${PROJECT}
ifeq (${EMBEDDED_BUILD}_${INSTALL_ROOT},1_)
	@echo "Cannot install-embedded with empty INSTALL_ROOT !" && false
endif
ifeq (${EMBEDDED_BUILD},1)
	@rm -rf "${INSTALL_ROOT}/${LIBDIR}/Tk.framework"
endif
	${DO_MAKE}
ifeq (${INSTALL_BUILD},1)
ifeq (${EMBEDDED_BUILD},1)
# if we are embedding frameworks, don't install wish
	@rm -f "${INSTALL_ROOT}${BINDIR}/${WISH}" && \
	rmdir -p "${INSTALL_ROOT}${BINDIR}" 2>&- || true
else
# redo prebinding
	@cd ${INSTALL_ROOT}/ && \
	if [ ! -d usr/lib ]; then mkdir -p usr && ln -fs /usr/lib usr/ && RM_USRLIB=1; fi; \
	if [ -n "${TK_X11}" -a ! -d usr/X11R6 ]; then mkdir -p usr && ln -fs /usr/X11R6 usr/ && RM_USRX11=1; fi; \
	if [ ! -d System ]; then ln -fs /System . && RM_SYSTEM=1; fi; \
	if [ ! -d ./${LIBDIR}/Tcl.framework ]; then ln -fs ${TCL_FRAMEWORK_DIR}/Tcl.framework ./${LIBDIR}; RM_TCL=1; fi; \
	redo_prebinding -r . "./${TK_FMWK_DIR}/${PRODUCT_NAME}"; \
	if [ -z "${TK_X11}" ]; then redo_prebinding -r . "./${TK_FMWK_DIR}/Resources/Wish.app/Contents/MacOS/Wish"; \
	else redo_prebinding -r . "./${BINDIR}/${WISH}"; fi; \
	if [ -n "$${RM_USRLIB:-}" ]; then rm -f usr/lib; rmdir -p usr 2>&-; fi; \
	if [ -n "$${RM_USRX11:-}" ]; then rm -f usr/X11R6; rmdir -p usr 2>&-; fi; \
	if [ -n "$${RM_SYSTEM:-}" ]; then rm -f System; fi; \
	if [ -n "$${RM_TCL:-}" ]; then rm -f ./${LIBDIR}/Tcl.framework; fi
# install wish symbolic link
	@ln -fs ${WISH} ${INSTALL_ROOT}${BINDIR}/${wish}
endif
endif
ifeq (${BUILD_STYLE}_${EMBEDDED_BUILD},Development_)
# keep copy of debug library around, so that
# Deployment build can be installed on top
# of Development build without overwriting
# the debug library
	@cd ${INSTALL_ROOT}${LIBDIR}/${PRODUCT_NAME}.framework/Versions/${VERSION} && \
	ln -f "${PRODUCT_NAME}" "${PRODUCT_NAME}_debug"
endif
ifeq (${TK_X11},)
ifeq (${EMBEDDED_BUILD},)
# install Wish.app link in APPLICATION_INSTALL_PATH and setup 'Wish Shell' compatibility links
	@cd ${TOP_DIR} && if [ -n "${APP_DIR}" ]; then mkdir -p "./${APP_DIR}" && \
	ln -fsh "./$$(echo ${APP_DIR} | sed -e 's#/[^/][^/]*#/..#g')/${FMWK_DIR}/${PRODUCT_NAME}.framework/Resources/Wish.app" "./${APP_DIR}" && \
	ln -fsh Wish.app "./${APP_DIR}/Wish Shell.app"; fi && \
	ln -fsh Wish.app "./${TK_FMWK_DIR}/Resources/Wish Shell.app" && \
	ln -fsh Wish "./${TK_FMWK_DIR}/Resources/Wish.app/Contents/MacOS/Wish Shell"
else
# if we are embedding frameworks, move them into the app and fix their install names
	@cd ${TOP_DIR} && \
	rm -rf "./${APP_DIR}/Wish.app" && mkdir -p "./${APP_DIR}" && \
	mv -f "./${TK_FMWK_DIR}/Resources/Wish.app" "./${APP_DIR}" && \
	ln -fsh Wish.app "./${APP_DIR}/Wish Shell.app" && \
	rm -rf "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
	mkdir -p "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
	mv -f "./${FMWK_DIR}"/T{cl,k}.framework "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
	rmdir -p "./${FMWK_DIR}" 2>&- || true && cd "./${APP_DIR}/Wish.app/Contents" && \
	rm -rf Frameworks/Tcl.framework/{,/Versions/$(TCL_VERSION)}/{Headers,PrivateHeaders,*_debug,lib*.a,*Config.sh} && \
	rm -rf Frameworks/Tk.framework/{,/Versions/$(VERSION)}/{Headers,PrivateHeaders,*_debug,lib*.a,*Config.sh} && \
	fix_install_id ( ) { \
	    chmod -RH a+w "$$1"; \
	    install_name_tool -id $$(otool -L "$$1" | awk "/$$2\.framework.*[^:]\$$/ {sub(\"^.*/Frameworks\",\"@executable_path/../Frameworks\",\$$1); print \$$1}") "$$1"; \
	    chmod -RH a-w "$$1"; \
	} && \
	fix_install_name ( ) { \
	    chmod -RH a+w "$$1"; \
	    install_name_tool -change $$(otool -L "$$1" | awk "/$$2\.framework.*[^:]\$$/ {print \$$1; sub(\"^.*/Frameworks\",\"@executable_path/../Frameworks\",\$$1); print \$$1}") "$$1"; \
	    chmod -RH a-w "$$1"; \
	} && \
	fix_install_id Frameworks/Tcl.framework/Tcl Tcl && fix_install_id Frameworks/Tk.framework/Tk Tk && \
	fix_install_name MacOS/Wish Tcl && fix_install_name MacOS/Wish Tk
endif
endif

clean-${PROJECT}: %-${PROJECT}:
	${DO_MAKE}
	rm -rf ${SYMROOT}/{${PRODUCT_NAME}.framework,${WISH},tktest}
	rm -f ${OBJ_DIR}{${LIBDIR},${BINDIR}} && \
	rmdir -p ${OBJ_DIR}$(dir ${LIBDIR}) 2>&- || true && \
	rmdir -p ${OBJ_DIR}$(dir ${BINDIR}) 2>&- || true

distclean-${PROJECT}: %-${PROJECT}: clean-${PROJECT}
	${DO_MAKE}
	rm -rf ${OBJ_DIR}
	
test-${PROJECT}: %-${PROJECT}: build-${PROJECT}
	${DO_MAKE}

#-------------------------------------------------------------------------------------------------------

.PHONY: ${meta} ${targets} ${PROJECT} build-${PROJECT} install-${PROJECT} \
	clean-${PROJECT} distclean-${PROJECT}

.NOTPARALLEL:

#-------------------------------------------------------------------------------------------------------

## tk8.4 8.4.19

=== debian/changelog ===
tk8.4 (8.4.19-5ubuntu1) raring; urgency=low

  * Respect DEB_HOST_GNU_TYPE when selecting CC for cross-compiling.
  * Preseed undetectable strtod values to autoconf for cross-builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 08 Dec 2012 00:16:18 -0700

tk8.4 (8.4.19-5) unstable; urgency=low

  * Moved /usr/share/tcltk/tk8.4/tkConfig.sh back to the /usr/lib/tk8.4
    directory because it is architecture dependent.
  * Fixed options(3tk) manpage (closes: #649128).
  * Removed Chris Waters wrom the uploaders list (closes: #664116).
  * Added ${misc:Depends} substitution variable to debian/control because the
    package uses debhelper.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags (closes: #658017).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 May 2012 19:34:11 +0400

tk8.4 (8.4.19-4) unstable; urgency=low

  * Removed Anselm Lingnau from uploaders list (closes: #540858).
  * Protected quilt calls in debian/rules to make conversion to source
    format 3.0 (quilt) possible (closes: #484920).
  * Added README.source which describes how to work with quilt.
  * Use SourceForge redirector in debian/watch uscan control file.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Sep 2009 12:12:26 +0400

tk8.4 (8.4.19-3) unstable; urgency=low

  * Don't remove wish alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:37:55 +0300

tk8.4 (8.4.19-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Added a patch by upstream to mitigate a design bug in Tk event system
    (Tk events break if built with x11proto-core 7.0.13).
  * Removed obsolete package x-dev from build dependencies. This means tk8.4
    will not built on sarge anymore.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 20:36:28 +0400

tk8.4 (8.4.19-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Apr 2008 18:13:39 +0400

tk8.4 (8.4.18-2) unstable; urgency=low

  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure
    (closes: #476044).
  * Explicitly specified configure options --host and --build to make build
    results more predictable.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2008 23:09:29 +0400

tk8.4 (8.4.18-1) unstable; urgency=low

  * New upstream release.
  * Overridden lintian warning package-name-doesnt-match-sonames since tk8.4
    package contains not only a library, and it's unreasonable to split it
    into smaller parts

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Feb 2008 22:09:13 +0300

tk8.4 (8.4.17-2) unstable; urgency=high

  * Applied patch by upstream to fix security vulnerability CVE-2006-4484
    overflow triggered by crafted GIF file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Feb 2008 23:22:14 +0300

tk8.4 (8.4.17-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Jan 2008 02:43:15 +0300

tk8.4 (8.4.16-2) unstable; urgency=low

  * Removed TK_INC_DIR from tkConfig.sh and tcl.m4.
  * Added -fno-unit-at-a-time option to match tcl8.4 build options.
  * Moved architecture independent files from /usr/lib/tk8.4 to
    /usr/share/tcltk/tk8.4. To keep backward compatibility tkConfig.sh is
    linked into /usr/lib/tk8.4 directory.
  * Fixed bug with update-alternatives in prerm script.
  * Removed conflicts with tcl and providing tcl-dev packages from
    debian/control to prepare binary packages for default tcl and tcl-dev.
  * Added Homepage field to debian/control.
  * Fixed segfault in case if only scalable fonts are available and the best
    scored font is infeasible (closes: #444546).
  * Rearranged conflicts of tk8.4-doc package because of planned adoption of
    real tk-doc package.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Oct 2007 16:08:07 +0400

tk8.4 (8.4.16-1) unstable; urgency=low

  * New upstream version.
  * Cleaned up patches in debian/patches.
  * Added patch by Massimo Dal Zotto with workaround for scalable fonts
    treated as fixed.
  * Added /usr/lib/tcl8.4 to a search path for tclConfig.sh and /usr/lib/tk8.4
    to a search path for tkConfig.sh in tcl.m4.
  * Removed 10 years old patch which increases PIL (Python imaging library)
    bitmaps loading performance.
  * Added uscan control file debian/watch.
  * Bumped debhelper compatibility to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Sep 2007 21:00:56 +0400

tk8.4 (8.4.15-2) unstable; urgency=low

  * Added Sergei Golovan to uploaders list.
  * Removed tk-dev from packages, conflicting with tk8.4-dev. It allows to
    install tk8.4-dev aside with tk8.3-dev (they aren't conflicting by files).
  * Removed --enable-64bit configure option from debian/rules.
  * Replaced deprecated ${Source-Version} substitution variable by
    ${binary:Version}.
  * Moved menu item from obsolete Apps to Applications section.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Sep 2007 10:34:19 +0400

tk8.4 (8.4.15-1) unstable; urgency=low

  * New maintainer Tcl/Tk Debian Packagers
    <pkg-tcltk-devel@lists.alioth.debian.org>.
  
  [ Sergei Golovan ]
  * New upstream release.
  * Removed obsolete package xlibs-dev and replaced x-dev by x11proto-core-dev |
    x-dev in build dependencies (closes: #390783).
  * Use quilt for patch management.
  * Fixed sections inside manual pages.
  * Added get-orig-source target to debian/rules.


=== debian/control ===
Source: tk8.4
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), x11proto-core-dev, libx11-dev, libxt-dev, tcl8.4-dev (>= 8.4.2)
Standards-Version: 3.9.3
Homepage: http://www.tcl.tk/

Package: tk8.4
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm | x-terminal-emulator
Conflicts: tk40 (<= 4.0p3-2), libtk-img (<< 1.2.5)
Provides: wish
Description: Tk toolkit for Tcl and X11, v8.4 - run-time files
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains everything you need to run Tk (wish) scripts
 and Tk-enabled apps.

Package: tk8.4-dev
Section: devel
Priority: optional
Architecture: any
Depends: x11proto-core-dev, libx11-dev, libxt-dev, tcl8.4-dev (>= 8.4.2), tk8.4 (= ${binary:Version}), ${misc:Depends}
Suggests: tk8.4-doc
Description: Tk toolkit for Tcl and X11, v8.4 - development files
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains the headers and libraries needed to extend
 or embed Tk.

Package: tk8.4-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: tk8.4
Conflicts: tkdoc, tk8.3-doc
Provides: tkdoc
Description: Tk toolkit for Tcl and X11, v8.4 - manual pages
 Tk is a cross-platform graphical toolkit which provides the Motif
 look-and-feel and is implemented using the Tcl scripting language.
 This package contains the manual pages for the Tk commands.

=== debian/rules ===
#!/usr/bin/make -f

v = 8.4
DIR = $(shell pwd)/debian/tmp

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC = $(DEB_HOST_GNU_TYPE)-gcc  
  CROSSCONF = ac_cv_func_strtod=yes tcl_cv_strtod_buggy=1
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
# See bug #446335
CFLAGS += -fno-unit-at-a-time
endif

%:
	dh $@

override_dh_auto_configure:
	TK_LIBRARY="/usr/share/tcltk/tk$(v)" $(CROSSCONF) \
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
	dh_auto_configure -Dunix -- \
		      --includedir=/usr/include/tcl$(v) \
		      --with-tcl=/usr/lib/tcl$(v) \
		      --enable-shared \
		      --enable-threads \
		      --enable-man-symlinks

override_dh_auto_build:
	$(MAKE) -C unix
	# Build the static library
	cd unix && \
	  ar cr libtk$(v).a *.o && \
	  ar d libtk$(v).a tkAppInit.o && \
	  ranlib libtk$(v).a

override_dh_auto_install:
	$(MAKE) -C unix INSTALL_ROOT=$(DIR) \
			MAN_INSTALL_DIR=$(DIR)/usr/share/man \
			MANN_INSTALL_DIR=$(DIR)/usr/share/man/man3 \
		install
	# Fix up pkgInstall.tcl
	cp $(DIR)/usr/lib/tk$(v)/* $(DIR)/usr/share/tcltk/tk$(v)
	# Fix up the libraries
	cp unix/libtk$(v).a $(DIR)/usr/lib
	mv $(DIR)/usr/lib/libtk$(v).so $(DIR)/usr/lib/libtk$(v).so.0
	ln -sf libtk$(v).so.0 $(DIR)/usr/lib/libtk$(v).so
	mv $(DIR)/usr/lib/*.sh $(DIR)/usr/lib/tk$(v)
	# Fix up the include files
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/generic
	cp generic/*.h $(DIR)/usr/include/tcl$(v)/tk-private/generic
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/unix
	cp unix/*.h $(DIR)/usr/include/tcl$(v)/tk-private/unix
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/compat
	cp compat/*.h $(DIR)/usr/include/tcl$(v)/tk-private/compat
	# Move around the demos
	install -d -m 755 $(DIR)/usr/share/doc/tk$(v)/examples
	cp -a library/demos/* $(DIR)/usr/share/doc/tk$(v)/examples/
	rm -f $(DIR)/usr/share/doc/tk$(v)/examples/license.terms
	# Fix up the manpages
	cd $(DIR)/usr/share/man/man1 && mv wish.1 wish$(v).1
	cd $(DIR)/usr/share/man/man3 && \
	  for f in *.[3n] ; do \
	     f2=$$(echo $$f | sed -e 's/\.[3n]/.3tk/') ; \
	     if [ -L $$f ]; then \
	        l=$$(readlink -n $$f |sed -e 's/\.[3n]/.3tk/') ; \
	        rm $$f ; \
	        ln -sf $$l $$f2 ; \
	     else \
	     	sed -e 's/^\.TH \([^ ]\+\|"[^"]\+"\) [3n]/.TH \1 3tk/' \
		    -e 's/\([0-9A-Za-z]\+\)(3)/\1(3tk)/g' \
		    -e 's/bgerror(n)/bgerror(3tcl)/g' \
		    -e 's/fconfigure(n)/fconfigure(3tcl)/g' \
		    -e 's/history(n)/history(3tcl)/g' \
		    -e 's/interp(n)/interp(3tcl)/g' \
		    -e 's/library(n)/library(3tcl)/g' \
		    -e 's/load(n)/load(3tcl)/g' \
		    -e 's/package(n)/package(3tcl)/g' \
		    -e 's/puts(n)/puts(3tcl)/g' \
		    -e 's/safe(n)/safe(3tcl)/g' \
		    -e 's/source(n)/source(3tcl)/g' \
		    -e 's/tclvars(n)/tclvars(3tcl)/g' \
		    -e 's/unknown(n)/unknown(3tcl)/g' \
		    -e 's/(n)/(3tk)/g' \
		    -e 's/^\.de OP$$/.de OOP/' \
		    -e 's/^.OP /.OOP /' \
		    $$f >$$f2 ; \
	        rm $$f ; \
	     fi ; \
	  done
	rm -rf $(DIR)/usr/share/tcltk/tk$(v)/demos
	ln -sf ../../doc/tk$(v)/examples $(DIR)/usr/share/tcltk/tk$(v)/demos 

override_dh_compress:
	dh_compress -Xusr/share/doc/tk$(v)/examples/

override_dh_makeshlibs:
	dh_makeshlibs -V 'tk$(v) (>= 8.4.16)'

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/tk$(v)/usr/lib

get-orig-source:
	wget -O tk8.4_8.4.19.orig.tar.gz \
	     http://prdownloads.sourceforge.net/tcl/tk8.4.19-src.tar.gz

.PHONY: override_dh_auto_configure override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_compress override_dh_makeshlibs override_dh_shlibdeps get-orig-source

## tk8.4 8.4.20

=== macosx/Makefile ===
--- 
+++ 
@@ -4,7 +4,10 @@
 #	uses the standard unix build system in tk/unix (which can be used directly instead of this
 #	if you are not using the tk/macosx projects).
 #
-# RCS: @(#) $Id: Makefile,v 1.7.2.12 2005/11/27 02:36:46 das Exp $
+# Copyright (c) 2002-2007 Daniel A. Steffen <das@users.sourceforge.net>
+#
+# See the file "license.terms" for information on usage and redistribution of
+# this file, and for a DISCLAIMER OF ALL WARRANTIES.
 #
 ########################################################################################################
 
@@ -18,8 +21,8 @@
 SYMROOT			?= ${BUILD_DIR}/${PROJECT}
 OBJROOT			?= ${SYMROOT}
 
-EXTRA_CONFIGURE_ARGS 	?= 
-EXTRA_MAKE_ARGS		?= 
+EXTRA_CONFIGURE_ARGS	?=
+EXTRA_MAKE_ARGS		?=
 
 INSTALL_PATH		?= /Library/Frameworks
 APPLICATION_INSTALL_PATH ?= /Applications/Utilities
@@ -35,7 +38,7 @@
 TCLSH_DIR		?= ${PREFIX}
 
 # set to non-empty value to install manpages in addition to html help:
-INSTALL_MANPAGES 	?= 
+INSTALL_MANPAGES	?=
 
 # set to non-empty value to build TkX11 instead of TkAqua:
 TK_X11			?=
@@ -43,7 +46,7 @@
 #-------------------------------------------------------------------------------------------------------
 # meta targets
 
-meta 			:= all install embedded install-embedded clean distclean test
+meta			:= all install embedded install-embedded clean distclean test
 
 styles			:= develop deploy
 
@@ -84,7 +87,7 @@
 embedded_make_args	:= EMBEDDED_BUILD=1
 install_make_args	:= INSTALL_BUILD=1
 
-${targets}: 
+${targets}:
 	${MAKE} ${action}${PROJECT} \
 	$(foreach s,${styles} embedded install,$(if $(findstring $s,$@),${${s}_make_args}))
 
@@ -108,7 +111,7 @@
 TCL_FRAMEWORK_DIR	:= ${TCL_BUILD_DIR}/..
 else
 TCL_DIR			:= ${TCL_FRAMEWORK_DIR}/Tcl.framework
-TCL_EXE                 := ${TCLSH_DIR}/tclsh${TCL_VERSION}
+TCL_EXE			:= ${TCLSH_DIR}/tclsh${TCL_VERSION}
 MAKE_VARS		= TCL_EXE
 export DYLD_FRAMEWORK_PATH := ${TCL_FRAMEWORK_DIR}
 endif
@@ -165,7 +168,7 @@
 	${MAKE} install-${PROJECT} INSTALL_ROOT=${OBJ_DIR}/
 
 ${OBJ_DIR}/Makefile: ${UNIX_DIR}/Makefile.in ${UNIX_DIR}/configure \
-                     ${UNIX_DIR}/tkConfig.sh.in Tk-Info.plist.in Wish-Info.plist.in
+		     ${UNIX_DIR}/tkConfig.sh.in Tk-Info.plist.in Wish-Info.plist.in
 	mkdir -p ${OBJ_DIR} && cd ${OBJ_DIR} && \
 	if [ ${UNIX_DIR}/configure -nt config.status ]; then ${UNIX_DIR}/configure \
 	--prefix=${PREFIX} --bindir=${BINDIR} --libdir=${LIBDIR} \
@@ -179,6 +182,7 @@
 
 build-${PROJECT}: ${OBJ_DIR}/Makefile
 	${DO_MAKE}
+ifeq (${INSTALL_BUILD},)
 # symolic link hackery to trick
 # 'make install INSTALL_ROOT=${OBJ_DIR}'
 # into building Tk.framework and wish in ${SYMROOT}
@@ -186,11 +190,13 @@
 	rm -rf ./${LIBDIR} ./${BINDIR} && ln -fs ${SYMROOT} ./${LIBDIR} && \
 	ln -fs ${SYMROOT} ./${BINDIR} && ln -fs ${OBJ_DIR}/tktest ${SYMROOT}
 ifeq (${TK_X11},)
-	@rm -f ${OBJ_DIR}/${BINDIR}
+	@rm -f ${OBJ_DIR}/${BINDIR} && \
+	ln -fs Wish.app/Contents/MacOS/Wish ${SYMROOT}/${WISH}
 endif
 # Create symbolic link to Tcl.framework in ${SYMROOT}if necessary
 	@cd ${SYMROOT} && if [ ! -e Tcl.framework -o -L Tcl.framework ]; then \
 	rm -f Tcl.framework && ln -s ${TCL_FRAMEWORK_DIR}/Tcl.framework . ; fi
+endif
 
 install-${PROJECT}: build-${PROJECT}
 ifeq (${EMBEDDED_BUILD}_${INSTALL_ROOT},1_)
@@ -200,14 +206,22 @@
 	@rm -rf "${INSTALL_ROOT}/${LIBDIR}/Tk.framework"
 endif
 	${DO_MAKE}
+ifeq (${EMBEDDED_BUILD}_${TK_X11},1_)
+# workaround bug with 'cp -pRH' on Darwin 6 and earlier
+	@if [ "`uname -r | awk -F. '{print $$1}'`" -lt 7 ]; then \
+	mkdir -p ${TOP_DIR}/{"${TCL_FMWK_DIR}","${TK_FMWK_DIR}"}/PrivateHeaders; fi
+endif
 ifeq (${INSTALL_BUILD},1)
 ifeq (${EMBEDDED_BUILD},1)
 # if we are embedding frameworks, don't install wish
 	@rm -f "${INSTALL_ROOT}${BINDIR}/${WISH}" && \
 	rmdir -p "${INSTALL_ROOT}${BINDIR}" 2>&- || true
 else
-# redo prebinding
-	@cd ${INSTALL_ROOT}/ && \
+# redo prebinding (when not building for Mac OS X 10.4 or later only)
+	@if [ "`echo "$${MACOSX_DEPLOYMENT_TARGET}" | \
+	awk -F '10\\.' '{print int($$2)}'`" -lt 4 -a "`echo "$${CFLAGS}" | \
+	awk -F '-mmacosx-version-min=10\\.' '{print int($$2)}'`" -lt 4 ]; \
+	then cd ${INSTALL_ROOT}/; \
 	if [ ! -d usr/lib ]; then mkdir -p usr && ln -fs /usr/lib usr/ && RM_USRLIB=1; fi; \
 	if [ -n "${TK_X11}" -a ! -d usr/X11R6 ]; then mkdir -p usr && ln -fs /usr/X11R6 usr/ && RM_USRX11=1; fi; \
 	if [ ! -d System ]; then ln -fs /System . && RM_SYSTEM=1; fi; \
@@ -218,7 +232,7 @@
 	if [ -n "$${RM_USRLIB:-}" ]; then rm -f usr/lib; rmdir -p usr 2>&-; fi; \
 	if [ -n "$${RM_USRX11:-}" ]; then rm -f usr/X11R6; rmdir -p usr 2>&-; fi; \
 	if [ -n "$${RM_SYSTEM:-}" ]; then rm -f System; fi; \
-	if [ -n "$${RM_TCL:-}" ]; then rm -f ./${LIBDIR}/Tcl.framework; fi
+	if [ -n "$${RM_TCL:-}" ]; then rm -f ./${LIBDIR}/Tcl.framework; fi; fi
 # install wish symbolic link
 	@ln -fs ${WISH} ${INSTALL_ROOT}${BINDIR}/${wish}
 endif
@@ -234,7 +248,7 @@
 ifeq (${TK_X11},)
 ifeq (${EMBEDDED_BUILD},)
 # install Wish.app link in APPLICATION_INSTALL_PATH and setup 'Wish Shell' compatibility links
-	@cd ${TOP_DIR} && if [ -n "${APP_DIR}" ]; then mkdir -p "./${APP_DIR}" && \
+	@cd ${TOP_DIR} && if [ -n "${APP_DIR}" ]; then mkdir -p "./${APP_DIR}" && rm -rf "./${APP_DIR}/Wish.app" && \
 	ln -fsh "./$$(echo ${APP_DIR} | sed -e 's#/[^/][^/]*#/..#g')/${FMWK_DIR}/${PRODUCT_NAME}.framework/Resources/Wish.app" "./${APP_DIR}" && \
 	ln -fsh Wish.app "./${APP_DIR}/Wish Shell.app"; fi && \
 	ln -fsh Wish.app "./${TK_FMWK_DIR}/Resources/Wish Shell.app" && \
@@ -247,8 +261,8 @@
 	ln -fsh Wish.app "./${APP_DIR}/Wish Shell.app" && \
 	rm -rf "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
 	mkdir -p "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
-	mv -f "./${FMWK_DIR}"/T{cl,k}.framework "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
-	rmdir -p "./${FMWK_DIR}" 2>&- || true && cd "./${APP_DIR}/Wish.app/Contents" && \
+	${CPPROG} -RH "./${FMWK_DIR}"/T{cl,k}.framework "./${APP_DIR}/Wish.app/Contents/Frameworks" && \
+	cd "./${APP_DIR}/Wish.app/Contents" && \
 	rm -rf Frameworks/Tcl.framework/{,/Versions/$(TCL_VERSION)}/{Headers,PrivateHeaders,*_debug,lib*.a,*Config.sh} && \
 	rm -rf Frameworks/Tk.framework/{,/Versions/$(VERSION)}/{Headers,PrivateHeaders,*_debug,lib*.a,*Config.sh} && \
 	fix_install_id ( ) { \
@@ -263,6 +277,9 @@
 	} && \
 	fix_install_id Frameworks/Tcl.framework/Tcl Tcl && fix_install_id Frameworks/Tk.framework/Tk Tk && \
 	fix_install_name MacOS/Wish Tcl && fix_install_name MacOS/Wish Tk
+ifeq (${INSTALL_BUILD},1)
+	@cd ${TOP_DIR} && rm -rf "./${FMWK_DIR}"/T{cl,k}.framework && rmdir -p "./${FMWK_DIR}" 2>&- || true
+endif
 endif
 endif
 
@@ -276,7 +293,7 @@
 distclean-${PROJECT}: %-${PROJECT}: clean-${PROJECT}
 	${DO_MAKE}
 	rm -rf ${OBJ_DIR}
-	
+
 test-${PROJECT}: %-${PROJECT}: build-${PROJECT}
 	${DO_MAKE}

=== debian/changelog ===
tk8.4 (8.4.20-8) unstable; urgency=low

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811117).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 12:49:59 +0300

tk8.4 (8.4.20-7) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 10:04:40 +0400

tk8.4 (8.4.20-6) experimental; urgency=low

  * Restored tk8.4.prerm script which removes alternative for
    /usr/bin/wish8.4.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 13:14:25 +0400

tk8.4 (8.4.20-5) experimental; urgency=low

  * Renamed the development package back to tk8.4-dev after a discussion
    on debian-devel mailing list.
  * Make tk8.4-doc replace tck8.4 because of moving the
    /usr/share/tcltk/tk8.4/demos link.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:05:32 +0400

tk8.4 (8.4.20-4) experimental; urgency=low

  * Make libtk8.4-dev depend on tk8.4 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:23:56 +0400

tk8.4 (8.4.20-3) experimental; urgency=low

  * Renamed tk8.4-lib and tk8.4-dev packages to libtk8.4 and libtk8.4-dev
    because it's more common package naming practice.
  * Added conflict with older tk8.4 to the tk8.4-doc package (a link to
    Tk demos was moved from one package to the other).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 11:41:04 +0400

tk8.4 (8.4.20-2) experimental; urgency=low

  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tk8.4-lib
    library package with libtk8.4.so and tkConfig.sh moved into a
    multi-archified location.
  * Recreated /usr/lib/tk8.4/tkConfig.sh for backward compatibility (intend
    to remove in the future).
  * Removed .0 suffix from the libtk8.4.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tk8.4-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/wish. This
    package ships only /usr/bin/wish8.4. The tcltk-defaults package provides
    the necessary symlink. This also means that tk8.4 does no longer provide
    the wish virtual package.
  * Moved the old changelog to the tk8.4-doc package to reduce size of the
    tk8.4 one.
  * Moved the Tk demos to the tk8.4-doc package.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 22:25:55 +0400

tk8.4 (8.4.20-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Removed patch which fixes Tk events because it's included into upstream
    tarball already.
  * Pass CC to compiler and set ac_cv variables, to allow cross builds.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Jun 2013 21:20:12 +0400

=== debian/rules ===
#!/usr/bin/make -f

v = 8.4
DIR = $(shell pwd)/debian/tmp

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
# See bug #446335
CFLAGS += -fno-unit-at-a-time
endif

%:
	dh $@

override_dh_auto_clean:
	[ ! -f unix/Makefile ] || $(MAKE) -C unix distclean

override_dh_auto_configure:
	CC=$(DEB_HOST_GNU_TYPE)-gcc \
	ac_cv_func_strtod=yes \
	tcl_cv_strtod_buggy=1 \
	TK_LIBRARY="/usr/share/tcltk/tk$(v)" \
	CFLAGS="$(CFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	TK_SHLIB_LD_EXTRAS="-Wl,-soname,\$${TK_LIB_FILE}" \
	dh_auto_configure -Dunix -- \
			  --includedir=/usr/include/tcl$(v) \
			  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v) \
			  --enable-shared \
			  --enable-threads \
			  --disable-rpath \
			  --enable-man-symlinks

override_dh_auto_build:
	$(MAKE) -C unix
	# Build the static library
	cd unix && \
	  ar cr libtk$(v).a *.o && \
	  ar d libtk$(v).a tkAppInit.o && \
	  ranlib libtk$(v).a

override_dh_auto_install:
	$(MAKE) -C unix INSTALL_ROOT=$(DIR) \
			MAN_INSTALL_DIR=$(DIR)/usr/share/man \
			MANN_INSTALL_DIR=$(DIR)/usr/share/man/man3 \
		install
	# Fix up pkgInstall.tcl
	install -d -m 755 $(DIR)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tk$(v)
	sed -e 's:\$$dir \.\.:/usr/lib/$(DEB_HOST_MULTIARCH):' \
	       $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(v)/pkgIndex.tcl \
	       >$(DIR)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/tk$(v)/pkgIndex.tcl
	# Fix up the libraries
	cp unix/libtk$(v).a $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.sh $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(v)
	# Fix up the include files
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/generic
	cp generic/*.h $(DIR)/usr/include/tcl$(v)/tk-private/generic
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/unix
	cp unix/*.h $(DIR)/usr/include/tcl$(v)/tk-private/unix
	install -d -m 755 $(DIR)/usr/include/tcl$(v)/tk-private/compat
	cp compat/*.h $(DIR)/usr/include/tcl$(v)/tk-private/compat
	# move the demos to the doc package
	install -d -m 755 $(DIR)/usr/share/doc/tk$(v)-doc
	mv -f $(DIR)/usr/share/tcltk/tk$(v)/demos $(DIR)/usr/share/doc/tk$(v)-doc
	rm -f $(DIR)/usr/share/doc/tk$(v)-doc/demos/license.terms
	#
	# Temporary HACK until all reverse dependencies will be rebuilt
	ln -sf libtk$(v).so $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libtk$(v).so.0
	#
	# Fix up the manpages
	cd $(DIR)/usr/share/man/man1 && mv wish.1 wish$(v).1
	cd $(DIR)/usr/share/man/man3 && \
	  for f in *.[3n] ; do \
	     f2=$$(echo $$f | sed -e 's/\.[3n]/.3tk/') ; \
	     if [ -L $$f ]; then \
	        l=$$(readlink -n $$f |sed -e 's/\.[3n]/.3tk/') ; \
	        rm $$f ; \
	        ln -sf $$l $$f2 ; \
	     else \
	     	sed -e 's/^\.TH \([^ ]\+\|"[^"]\+"\) [3n]/.TH \1 3tk/' \
		    -e 's/\([0-9A-Za-z]\+\)(3)/\1(3tk)/g' \
		    -e 's/bgerror(n)/bgerror(3tcl)/g' \
		    -e 's/fconfigure(n)/fconfigure(3tcl)/g' \
		    -e 's/history(n)/history(3tcl)/g' \
		    -e 's/interp(n)/interp(3tcl)/g' \
		    -e 's/library(n)/library(3tcl)/g' \
		    -e 's/load(n)/load(3tcl)/g' \
		    -e 's/package(n)/package(3tcl)/g' \
		    -e 's/puts(n)/puts(3tcl)/g' \
		    -e 's/safe(n)/safe(3tcl)/g' \
		    -e 's/source(n)/source(3tcl)/g' \
		    -e 's/tclvars(n)/tclvars(3tcl)/g' \
		    -e 's/unknown(n)/unknown(3tcl)/g' \
		    -e 's/(n)/(3tk)/g' \
		    -e 's/^\.de OP$$/.de OOP/' \
		    -e 's/^.OP /.OOP /' \
		    $$f >$$f2 ; \
	        rm $$f ; \
	     fi ; \
	  done

override_dh_compress:
	dh_compress -Xusr/share/doc/tk$(v)-doc/demos/

override_dh_makeshlibs:
	dh_makeshlibs -a
	echo 'activate-noawait ldconfig' >>debian/libtk$(v).triggers

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/libtk$(v)/usr/lib/$(DEB_HOST_MULTIARCH)

get-orig-source:
	wget -O tk$(v)_$(v).20.orig.tar.gz \
	     http://prdownloads.sourceforge.net/tcl/tk$(v).20-src.tar.gz

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_compress override_dh_makeshlibs \
	override_dh_shlibdeps get-orig-source

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

http://sf.net/tcl/tk(8\.4\.[\d.]*)(?:-src)?.tar.gz
